#!/bin/bash
. /etc/profile

cd /home/users/pberndt/VielfaltImVergleich
mkdir logs 2>/dev/null
cd logs

fetchInfo()
{
	case $1
	in
		amazon)
			curl $2 2>/dev/null | sed -re 's/<[^>]+>//g' -e 's/&nbsp;/ /g' | egrep '^[0-9]' | sed -re 's/^.+Uhr//g'
			;;
		ffnstyle)
			export URL="$2"
			php -r '$_=`curl $_ENV[URL] 2>/dev/null`;preg_match_all("/<b>(.+?)<\/b>/",$_,$_);$_=$_[1];array_shift($_);while($_){echo(array_shift($_)." ".array_shift($_)." ".array_shift($_)."\n");}' | sed -re 's/[0-9]+:[0-9]+//'
			;;
		njoystyle)
			 curl $2 2>&1 | egrep -o 'headers="header(A|B|C)">[^<]+<' | sed -re 's/^.+>//' -e 's/<//' | perl -e '@_=<>;$_="@_";s/\n/ /g;s/ ([0-9])/\n\1/g;print;print "\n";' | sed -re 's/[0-9]+:[0-9]+//'
			;;
		rhhstyle)
			export URL="$2"
			php -r '$_=`curl $_ENV[URL] 2>/dev/null`;preg_match_all("/ren Sie:(?:<br \/>)?\s+(.+?)<br \/>(.+?)<br \/>/s",$_,$_);echo(trim($_[1][0])." ".trim($_[2][0])."\n");'
	esac

}

writeInfo()
{
	fetchInfo $@ | while read line
	do
		if tail -n 4 $1 | grep -q "$line"
		then
			continue
		fi

		echo "$line" >> $1
	done 
}

writeInfo amazon "http://www.titelabfrage.de/cgi-bin/rms/399325c8/playlist?action=form&rid=hra"
writeInfo ffnstyle "http://212.59.34.242/ffnlive/musik/playlist.php" 
writeInfo njoystyle "http://www.n-joy.de/pages_special/0,3046,SPM2156,00.html"
writeInfo rhhstyle "http://www.radiohamburg.de/index.html?webseiteID=1610"
